import store from '@/store';
import router from '@/router';
import generateBtnPermission from '../auth/generateBtnPermission';

const newRoutes = []

function createMeta(item){
    let meta = { title: item.name }
    return meta
}

function createRoute(data){
    data.map(e => {
        if(e.select && e.path){
            let meta = createMeta(e)
            newRoutes.push({
                name: e.path,
                // path: e.path,
                path: () => import(`@/pages/${e.path}.vue`),
                meta
            })
        }
        e.children && e.children.length && createRoute(e.children)
    })
}

export default function(data,path){
    generateBtnPermission(data)
    createRoute(data)
    store.dispatch('auth/addRoutes',newRoutes)
    // router.addRoutes(routes)
}