export const saveData = {
    created() {
        if(sessionStorage.getItem(this.moduleName)) {
            const getBeforeData = JSON.parse(sessionStorage.getItem(this.moduleName))
            for(const key in getBeforeData) {
                this.form[key] = Number(getBeforeData[key])? Number(getBeforeData[key]): getBeforeData[key]
            }
        }
    },
    methods: {
        clearSaveData() {
            sessionStorage.removeItem(this.moduleName)
        }
    },
    beforeDestroy() {
        let tmpForm = {}
        for(const key in this.form) {
            if(this.form[key] !== '') {
                tmpForm[key] = this.form[key]
            }
        }
        sessionStorage.setItem(this.moduleName, JSON.stringify(tmpForm))
    }
}