/* 银行系统 */



/* 所有物品名字 */
const allGoods = {
    16: {name:'银行卡',src:require('@/assets/img/goods/bankCard.png'),id:16},
    428: {name:'定期存单',src:require('@/assets/img/seal/paid.png'),id:428},
    439: {name:'预留印鉴卡',src:require('@/assets/img/seal/paid.png'),id:439},
    412: {name:'转账支票',src:require('@/assets/img/goods/xd-zzzp.png'),id:412},
    30: {name:'银行承兑汇票',src:require('@/assets/img/seal/paid.png'),id:30},
    411: {name:'现金支票',src:require('@/assets/img/goods/xjzp.png'),id:411},
    425: {name:'取款凭条',src:require('@/assets/img/goods/qkpt.png'),id:425},
    426: {name:'转账凭条',src:require('@/assets/img/goods/zzpt.png'),id:426},
    479: {name:'业务收费凭证',src:require('@/assets/img/goods/ywsfpz.png'),id:479},
    427: {name:'利息清单',src:require('@/assets/img/goods/lxqd.png'),id:427},
    438: {name:'普通空白凭证',src:require('@/assets/img/goods/ptkbpz.png'),id:438},
    13: {name:'身份证',src:require('@/assets/img/goods/idcard.png'),id:13},
    23: {name:'身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:23},
    14: {name:'开户申请书',src:require('@/assets/img/goods/khsqs.png'),id:14},
    15: {name:'现金',src:require('@/assets/img/goods/cash-sm.png'),id:15},
    17: {name:'存款凭条',src:require('@/assets/img/goods/ckpt.png'),id:17},

    // 以下是我自己加的id 本来没有的 业务需要
    24: {name:'开户申请书凭证联',src:require('@/assets/img/goods/khsqs.png'),id:24},
    21: {name:'开户申请书回单',src:require('@/assets/img/goods/khsqs.png'),id:21},
    269: {name:'存款凭条凭证联',src:require('@/assets/img/goods/ckpt.png'),id:269},
    22: {name:'存款凭条回单',src:require('@/assets/img/goods/ckpt.png'),id:22},
    420: {name:'取款凭条凭证联',src:require('@/assets/img/goods/qkpt.png'),id:420},
    421: {name:'取款凭条回单',src:require('@/assets/img/goods/qkpt.png'),id:421},

    419: {name:'转账凭条凭证联',src:require('@/assets/img/goods/zzpt.png'),id:419},
    418: {name:'转账凭条回单',src:require('@/assets/img/goods/zzpt.png'),id:418},

    422: {name:'利息清单凭证联',src:require('@/assets/img/goods/lxqd.png'),id:422},
    424: {name:'利息清单回单',src:require('@/assets/img/goods/lxqd.png'),id:424},

    430: {name:'旧定期存单',src:require('@/assets/img/seal/paid.png'),id:430},
    429: {name:'新定期存单',src:require('@/assets/img/seal/paid.png'),id:429},

    485: {name:'新定期存单凭证联',src:require('@/assets/img/seal/paid.png'),id:485},
    486: {name:'新定期存单回单',src:require('@/assets/img/seal/paid.png'),id:486},

    // 业务 10 以后的
    442: {name:'法人身份证',src:require('@/assets/img/goods/idcard.png'),id:442},
    431: {name:'法人身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:431},

    443: {name:'开立银行结算账户申请书',src:require('@/assets/img/goods/ApplicationBankSettlement.png'),id:432},

    434: {name:'统一社会信用代码证',src:require('@/assets/img/goods/营业执照.png'),id:434},
    435: {name:'统一社会信用代码证复印件',src:require('@/assets/img/goods/营业执照复印件.png'),id:435},
    436: {name:'开户许可证',src:require('@/assets/img/goods/开户许可证.png'),id:436},
    437: {name:'开户许可证复印件',src:require('@/assets/img/goods/开户许可证复印件.png'),id:437},
    432: {name:'开立银行结算账户申请书凭证联',src:require('@/assets/img/goods/ApplicationBankSettlement.png'),id:432},
    433: {name:'开立银行结算账户申请书回单',src:require('@/assets/img/goods/ApplicationBankSettlement.png'),id:433},
    
    409: {name:'现金存款凭证',src:require('@/assets/img/goods/CashCertificate.png'),id:409},
    487: {name:'现金存款凭证联',src:require('@/assets/img/goods/CashCertificate.png'),id:487},
    441: {name:'现金存款凭证回单',src:require('@/assets/img/goods/CashCertificate.png'),id:441},

    473: {name:'现金支票本联',src:require('@/assets/img/goods/xjzp.png'),id:473},
    472: {name:'现金支票存根',src:require('@/assets/img/goods/xjzp.png'),id:472},
    476: {name:'转账支票本联',src:require('@/assets/img/goods/sy-zzzp.png'),id:476},
    474: {name:'转账支票存根',src:require('@/assets/img/goods/sy-zzzp.png'),id:474},

    407: {name:'特殊业务申请书',src:require('@/assets/img/goods/businessSpecialApplication.png'),id:407},
    478: {name:'特殊业务申请书凭证联',src:require('@/assets/img/goods/businessSpecialApplication.png'),id:478},
    477: {name:'特殊业务申请书回单',src:require('@/assets/img/goods/businessSpecialApplication.png'),id:477},
    406: {name:'密码挂失申请书',src:require('@/assets/img/goods/businessReportMissUser.png'),id:406},
    466: {name:'密码挂失申请书凭证联',src:require('@/assets/img/goods/businessReportMissUser.png'),id:466},
    468: {name:'密码挂失申请书回单',src:require('@/assets/img/goods/businessReportMissUser.png'),id:468},
    467: {name:'密码挂失申请书银行留存联',src:require('@/assets/img/goods/businessReportMissUser.png'),id:467},
    413: {name:'支票领购单',src:require('@/assets/img/goods/businessReportMissUser.png'),id:413},
    480: {name:'支票领购单回单',src:require('@/assets/img/goods/businessReportMissUser.png'),id:480},
    488: {name:'支票领购单凭证联',src:require('@/assets/img/goods/businessReportMissUser.png'),id:488},
    481: {name:'业务收费凭证回单',src:require('@/assets/img/goods/ywsfpz.png'),id:481},
    482: {name:'业务收费凭证凭证联',src:require('@/assets/img/goods/ywsfpz.png'),id:482},

    // // 有图片的
    // 407: {name:407,src:require('@/assets/img/goods/businessSpecialApplication.png'),id:407},
    // 406: {name:406,src:require('@/assets/img/goods/businessReportMissUser.png'),id:406},
    // 432: {name:432,src:require('@/assets/img/goods/ApplicationBankSettlement.png'),id:432},
    // 409: {name:409,src:require('@/assets/img/goods/CashCertificate.png'),id:409},
    // 413: {name:413,src:require('@/assets/img/goods/CheckCoupons.png'),id:413},
    // 474: {name:474,src:require('@/assets/img/goods/sy-zzzp.png'),id:474},
    // 472: {name:472,src:require('@/assets/img/goods/xjzp.png'),id:472},
}

const idNumber = '441356199611035698'
const birthday = '1996-11-03'
const userName = '小白'
const capital = 100
const peopleNumber = '111222'
const voucherNumber = '159753'
const sex = 1 // 1为男,2为女。

const myInitState =  {
    '': {
        data: [],
        needs: []
    },
    '业务一': {
        id: 489,
        data: [15, 13, 23, 14],
        needs: [16, 17],
        isStamp: {
            '业务专用章': [14,17],
            '附件章': [23],
            // '收讫章': [ 17 ]
        },
        backPeople: [],
        // backPeople: [21, 13, 22, 16],
        cultureArr: [23, 24, 269],
        // 各种物品信息
        moneyBox: [], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 16 ], // 重要空白凭证箱
        commonArr: [ 17 ], // 普通凭证箱

        // 以下为数据流:
        needsModule: {
            'consumerClient': false,
            'currentAccount/openAccount': false,
            'currentAccount/deposit': false,
        },
        // dataFlowGo: 0,
        dataFlow: {
            peopleNumber,
            userName,//用户名字
            idType: '身份证',
            idNumber,//证件号码
            sex,//性别 1为男,
            birthday,//出生日期
            // nationality:'汉',//民族
            mailbox:'广东省深圳市阳光村',//通讯地址

            voucherNumber

        }
    },
    '业务二': {
        id: 490,
        data: [16, 13, 23, 426],
        needs: [427, 425, 15],
        isStamp: {
            '付讫章': [425, 427],
            '转讫章': [426],
            '附件章': [23]
        },
        backPeople: [],
        // backPeople: [23, 418, 421, 424, 15],
        cultureArr: [13, 420, 419, 424], // 入库
        // 各种物品信息
        moneyBox: [15], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [ 425, 427 ], // 普通凭证箱

        // 以下为数据流:
        needsModule: {
            'consumerClient': false,
            'currentAccount/withdrawal': false,
            'currentAccount/transferAccounts': false,
            'currentAccount/settle': false,
            'currentAccount/Cancell': false
        },
        // dataFlowGo: 0,
        dataFlow: {
            peopleNumber,
            userName,//用户名字
            idType: 83,
            idNumber,//证件号码
            sex,//性别
            birthday,//出生日期
            // nationality:'汉',//民族
            mailbox:'广东省深圳市阳光村',//通讯地址
            phone:'13222223122',//联系电话

            // cardNumber: '', // 卡号
            voucherNumber,
            currency:12,
            goldLogo:13,
            serviceCharge:'0.00',
            drawWay:18,
            interest: '0.1',
            balance: 666,
            totalMoney: 9999999999,
        }
    },
    '业务三': {
        id: 491,
        data: [15, 13, 23, 14], // 现金、身份证原件、复印件、开户申请书
        needs: [428],
        isStamp: {
            '业务专用章': [14]
        },
        backPeople: [],
        // backPeople: [21, 13 ],
        cultureArr: [24, 23], // 入库
        // 各种物品信息
        moneyBox: [], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 428 ], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        
        // 以下为数据流:
        needsModule: {
            'timeDeposit/openAccount': false,
            'timeDeposit/deposit': false
        },
        dataFlow: {
            idNumber,
            userName,
            currency:12,
            goldLogo:13,
            peopleNumber,
            voucherNumber
        }
    },
    '业务四': {
        id: 492,
        data: [13, 23, 430], // 身份证原件、复印件、 430
        needs: [429, 425, 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
        isStamp: {
            '业务专用章': [429],
            '付讫章': [ 425, 427 ],
            '收讫章': [ 17 ],
            '销户章': [ 430 ],
            '附件章': [ 23 ],
            // 取款凭条（付讫章）、利息清单（付讫章）、存款凭条（收讫章）、430（销户章）、新定期存单（业务专用章）、身份证复印件（附件章）
        },
        backPeople: [],
        // backPeople: [ 13, 429, 15, 421, 22, 424 ], // 
        cultureArr: [ 23, 430, 420, 269, 422 ], // 
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 429 ], // 重要空白凭证箱
        commonArr: [ 425, 17, 427 ], // 普通凭证箱

        // 以下为数据流:
        needsModule: {
            'timeDeposit/withdrawal': false
        },
        dataFlow: {
            // 客户姓名、币种、钞汇标识、定存编号（0912）、本金（开户时存的业务中的金额）、支取类别（现金）、支取方式（密码）
            voucherNumber,
            userName,
            currency:12,
            goldLogo:13,
            interest: '0.00',
            depositNumber: '0912',
            capital, // 不知道是多少
            withdrawType: 124, // 支取类别
            withdrawWay: 125, // 支取方式
            
        }
    },
    '业务五': {
        id: 493,
        data: [13, 23, 430], // 身份证原件、复印件、 430
        needs: [429, 425, 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
        isStamp: { 
            '付讫章': [ 425, 427 ],
            '销户章': [ 430 ],
            '附件章': [ 23 ],
        },
        backPeople: [],
        // backPeople: [ 13, 429, 15, 421, 22, 424 ], // 
        cultureArr: [ 23, 430, 420, 269, 422 ], // 
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

         // 以下为数据流:
         needsModule: {
            'timeDeposit/withdrawal': false
        },
        dataFlow: {
            // 客户姓名、币种、钞汇标识、定存编号（0912）、本金（开户时存的业务中的金额）、支取类别（现金）、支取方式（密码）
            userName,
            voucherNumber,
            currency:12,
            goldLogo:13,
            interest: '5.75',
            depositNumber: '0912',
            capital, // 不知道是多少
            withdrawType: 124, // 支取类别
            withdrawWay: 126, // 支取方式

        }
    },
    '业务六': {
        id: 494,
        data: [13, 23, 14, 15], // 身份证原件、复印件、 开户申请书、 现金
        needs: [ 16, 17 ], // 银行卡 存款凭条
        isStamp: { // 还没加逻辑
            '附件章': [ 23 ],
            '业务专用章': [14],
            '收讫章': [ 17 ],
        },
        backPeople: [],
        // backPeople: [ 16, 22, 13, 21 ], 
        cultureArr: [ 23, 24, 269 ], 
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
        
        // 以下为数据流:
        needsModule: {
            'usefulPhrases/openAccount': false
        },
        dataFlow: {
            // 身份证号码、客户号、客户姓名、币种（人民币）、钞汇标识（钞户）
            currency:12,
            goldLogo:13,
            userName,
            peopleNumber,
            idNumber,
            voucherNumber
        }
    },
    '业务七': {
        id: 495,
        data: [  16, 15 ], // 银行卡、 现金
        needs: [ 17 ], // 存款凭条
        isStamp: { 
            '收讫章': [ 17 ],
        },
        backPeople: [],
        // backPeople: [ 16, 22 ], 
        cultureArr: [ 269 ], 
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        
        // 以下为数据流:
        needsModule: {
            'usefulPhrases/continueDeposit': false
        },
        dataFlow: {
            // 客户姓名、定存编号（0816）、币种、钞汇标识、存期（显示上一业务选中的存期）、月存金额
            userName,
            depositNumber: '0816',
            currency:12,
            goldLogo:13,
            depositTerm: 86,
            monthDeposit: 100,
            voucherNumber
        }
    },
    '业务八': {
        id: 496,
        data: [  13, 23, 16 ], // 身份证原件 复印件 银行卡
        needs: [ 425, 427 ], // 存款凭条 利息清单
        isStamp: { 
            '付讫章': [ 425, 427 ],
            '附件章': [ 23 ],
        },
        backPeople: [],
        // backPeople: [ 13, 16, 421, 424, 15 ], 
        cultureArr: [ 23, 420, 422 ],
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        // 以下为数据流:
        needsModule: {
            'usefulPhrases/accoumtClosed': false
        },
        dataFlow: {
            idNumber,
            userName,
            depositNumber: '0816',
            currency:12,
            goldLogo:13,
            capital: 100,
            interestRate: 1.85,
            depositTerm: 86,
            interest: 1.6,
            totalMoney: 101.6,
            signDate: '2001-03-01',
            voucherNumber
        }
    },
    '业务九': {
        id: 498,
        data: [ 15, 13, 23, 14 ], // 现金、身份证原件、复印件、开户申请书
        needs: [ 428, 17 ], // 定期存单 存款凭条
        isStamp: { 
            '附件章': [ 23 ],
            '业务专用章': [14, 428 ],
            '收讫章': [ 17 ]
        },
        backPeople: [],
        // backPeople: [ 21, 13, 428, 269 ], // 少了开户申请书回单、身份证、定期存单、存款凭条凭证联 (判分可减)
        cultureArr: [ 23, 24, 269 ], // 少了身份证复印件、开户申请书凭证联、存款凭条凭证联
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        // 以下为数据流:
        needsModule: {
            'callDeposits/openAccount': false
        },
        dataFlow: {
            // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
            idNumber,
            peopleNumber,
            userName,
            currency:12,
            goldLogo:13,
            voucherNumber,
            depositType: 92,
            // depositNumber: '0816',
            
            // capital: 100,
            // interestRate: 1.85,
            // depositTerm: '1年',
            // interest: 1.6,
            // totalMoney: 101.6,
            // signDate: '2001-03-01',
            // voucherNumber
        }
    },
    '业务十': {
        id: 499,
        data: [ 13, 23, 428 ], // 身份证原件、复印件、定期存单
        needs: [ 425, 427, 15 ], // 多了取款凭条、利息清单 现金
        isStamp: { 
            '付讫章': [ 425, 427 ],
            '附件章': [ 23 ],
            '销户章': [ 430 ],
        },
        backPeople: [],
        // backPeople: [ 13, 421, 424, 15 ], // 少了身份证原件、421、424、现金 
        cultureArr: [ 23, 420, 420, 428 ], // 少了复印件、420、422、定期存单
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'callDeposits/accountClosed': false
        },
        dataFlow: {
            // 凭证类型（存单）、客户号（根据案例展示）、客户姓名、币种（CNY人民币）、钞汇标识（钞户）、通知类型（根据案例展示）、定存编号（根据开户时的定存编号展示）、本金（开户时存的金额）、利息（2.8）、、总金额（利息+本金）、支取类别（现金）、支取金额（等于总金额）证件类型（身份证）
            // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
            voucherType: 123,
            noticeType: 95,
            depositNumber: '0816',
            capital: 100,
            interest: 2.8,
            totalMoney: 102.8,
            payType: 13,
            payMoney: 102.8,
            idNumber,
            peopleNumber,
            userName,
            currency:12,
            goldLogo:13,
            voucherNumber
            // depositNumber: '0816',
            
            // capital: 100,
            // interestRate: 1.85,
            // depositTerm: '1年',
            // interest: 1.6,
            // totalMoney: 101.6,
            // signDate: '2001-03-01',
            // voucherNumber
        }
    },
    '业务十一': {
        id: 500,
        data: [ 442, 431, 432, 434, 435, 436, 437 ], 
        needs: [ 438, 439 ], // 多了普通空白凭证， 预留印鉴卡
        isStamp: { 
            '业务专用章': [ 432, 438 ],
            '附件章': [ 435, 437, 431  ],
            '私章': [ 439 ]
        },
        backPeople: [],
        // backPeople: [ 442, 434, 436, 439, 433 ], // 少了法人身份证原件、统一社会信用代码证、开户许可证、预留印鉴卡一、开立银行结算账户申请书凭证联回单
        cultureArr: [ 431, 432, 435, 437, 438, 439 ], // 少了法人身份证复印件、开立银行结算账户申请书凭证联、统一社会信用代码证复印件、开户许可证复印件、普通空白凭证、预留印鉴卡二、三
    
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'corporateClient': false,
            'business/openAccount': false
        },
        dataFlow: {
            idNumber,
            userName,
            peopleNumber,
            'corporateClient': false
        },
        // dataFlow: {
        //     // 凭证类型（存单）、客户号（根据案例展示）、客户姓名、币种（CNY人民币）、钞汇标识（钞户）、通知类型（根据案例展示）、定存编号（根据开户时的定存编号展示）、本金（开户时存的金额）、利息（2.8）、、总金额（利息+本金）、支取类别（现金）、支取金额（等于总金额）证件类型（身份证）
        //     // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
        //
        //     // depositNumber: '0816',
        //
        //     // capital: 100,
        //     // interestRate: 1.85,
        //     // depositTerm: '1年',
        //     // interest: 1.6,
        //     // totalMoney: 101.6,
        //     // signDate: '2001-03-01',
        //     // voucherNumber
        // }
    },
    '业务十二': {
        id: 501,
        data: [ 442, 431, 409, 15 ], // 15是现金
        needs: [ 438, 439 ], // 多了普通空白凭证， 预留印鉴卡
        isStamp: {
            '收讫章': [ 409 ],
            '附件章': [ 431 ],
        },
        backPeople: [],
        // backPeople: [ 442, 441 ],
        cultureArr: [ 431, 487 ],
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'business/deposit': false
        },
        dataFlow: {
            idNumber,
            userName,
            peopleNumber
        }
    },
    '业务十三': {  // 公司现金支票取款
        id: 502,
        data: [ 442, 411 ],
        needs: [ 425, 15 ],
        isStamp: {
            '付讫章': [ 425 ],
            '私章业务专用章': [ 411 ]
        },
        backPeople: [],
        // backPeople: [ 442, 472, 421, 15 ],
        cultureArr: [ 473, 420 ],
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'business/withdrawal': false,
            
        },
        dataFlow: {
            // idNumber,
            // userName,
            // peopleNumber,
            // currency:12,
            // goldLogo:13,
        }
    },
    '业务十四': {  // 公司现金支票转账
        id: 503,
        data: [ 442, 412 ],
        needs: [ 426 ],
        isStamp: {
            '私章转讫章': [ 412 ],
            '业务专用章': [ 426]
        },
        backPeople: [],
        // backPeople: [ 442, 474, 418 ],
        cultureArr: [ 476, 419 ],
        moneyBox: [ 15 ], // 钱箱
        needBackMoney: true, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'business/transfer': false
        },
        dataFlow: {
            idNumber,
            voucherNumber
        }
    },
    '业务十五': {  // 密码修改
        id: 504,
        data: [ 13, 23, 16, 407  ], // 身份证原件、复印件、银行卡、特殊业务申请书
        needs: [ ],
        isStamp: {
            '附件章': [ 13 ],
            '业务专用章': [ 407]
        },
        backPeople: [],
        // backPeople: [ 13, 16, 477 ], // 少了身份证原件、银行卡、特殊业务申请书回单
        cultureArr: [ 23, 478 ], // 少了复印件、特殊业务申请书凭证联
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'servicesAccount/passwordChange': false
        },
        dataFlow: {
            idNumber,
            voucherNumber,
            userName
        }
    },
    '业务十六': {  // 密码挂失
        id: 505,
        data: [ 13, 23, 16, 406  ], // 身份证原件、复印件、银行卡、密码挂失申请书
        needs: [ ],
        isStamp: {
            '附件章': [ 13 ],
            '业务专用章': [ 406]
        },
        backPeople: [],
        // backPeople: [ 13, 16, 468 ], // 少了身份证原件、银行卡、特殊业务申请书回单
        cultureArr: [ 23, 466, 467 ], // 少了复印件、密码挂失申请书凭证联、密码挂失申请书银行留存联
        moneyBox: [], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
        needsModule: {
            'servicesAccount/passwordLost': false
        },
        dataFlow: {
            voucherNumber,
            userName,
            idNumber
        }
    },
    '业务十七': {  // 挂失解挂
        id: 506,
        data: [ 13, 23, 16, 468, 467 ], // 身份证原件、复印件、银行卡、密码挂失申请书回单、密码挂失申请书银行留存联
        needs: [ ],
        isStamp: {
            '附件章': [ 13, 468 ],
            '业务专用章': [ 467 ]
        },
        backPeople: [],
        // backPeople: [ 13, 16, 468 ], // 
        cultureArr: [ 23, 467 ], // 
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱,

        needsModule: {
            // 这个业务没出
            'servicesAccount/relieveLost': false
        },
        dataFlow: {
            voucherNumber,
            idNumber,
            userName
        }
        
    },
    
    // '业务十八': {  // 现金领用
    //     id: 508,
    //     data: [ 13, 23, 15, 413 ], // 身份证原件、复印件、现金、支票领购单
    //     needs: [ 411, 479 ],
    //     isStamp: {
    //         '附件章': [ 23 ],
    //         '业务专用章': [ 413, 479 ]
    //     },
    // backPeople: [],    
    // backPeople: [ 13, 480, 411, 481 ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
    //     cultureArr: [ 23, 488, 488 ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

    //     moneyBox: [ ], // 钱箱
    //     needBackMoney: false, // 需要钱箱取钱
    //     peopleSign: [ ], // 客户签字
    //     cultureIn: [], // 传票栏
    //     sealBox: [], // 印章盒
    //     currencyDetector: [], // 验钞机
    //     printer: [], // 打印机
    //     resource: [], // 资料

    //     importanceArr: [], // 重要空白凭证箱
    //     commonArr: [], // 普通凭证箱

    //     needsModule: {
    //         'controlCash/cashRecipients': false
            
    //     },
    // },
    '业务十八': {  // 现金领用
        id: 508,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],
        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
        needsModule: {
            'controlCash/cashRecipients': false
        },
    },
    '业务十九': { // 现金上缴
        id: 509,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash/cashTransferInto': false

        },
    },
    '业务二十': {  // 现金调入
        id: 548,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash/cashPaid': false
        },
    },
    '业务二十一': { // 现金调出
        id: 549,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash/cashOut': false
        },
    },
    '业务二十二': { // 凭证领用
        id: 510,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash2/cashRecipients' : false
        },
    },
    '业务二十三': { // 凭证上缴
        id: 514,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
        needsModule: {
            'controlCash2/cashTransferInto' : false
        },
    },
    '业务二十四': { // 凭证调入
        id: 512,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash2/cashPaid' : false
        },
    },
    '业务二十五': { // 凭证调出
        id: 513,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
        needsModule: {
            'controlCash2/cashOut' : false
        },
    },
    '业务二十六': { // 支票出售
        id: 507,
        data: [ 13, 23, 15, 413 ], // 身份证原件、复印件、现金、支票领购单
        needs: [ 411, 479 ],
        isStamp: {
            '附件章': [ 23 ],
            '业务专用章': [ 413, 479 ]
        },
        backPeople: [],
        // backPeople: [ 13, 480, 411, 481 ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
        cultureArr: [ 23, 488, 488 ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱

        needsModule: {
            'controlCash3/index': false
        },
    },
    '业务二十七': { // 柜员日终扎帐
        id: 516,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '业务二十八': { // 网点日中扎帐
        id: 517,
        data: [ ], //
        needs: [ 438 ],
        isStamp: {
            '业务专用章': [ 438 ]
        },
        backPeople: [],
        // backPeople: [ ],
        cultureArr: [ 438 ],

        moneyBox: [ ], // 钱箱
        needBackMoney: false, // 需要钱箱取钱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
}



const sealArray = [/* 印章盒物品默认排序 */
    '收讫章', '销户章','私章','附件章','付讫章','业务专用章', '转讫章'
]

import { Message } from 'element-ui';
import { addOperation, getSubjectInfo } from '@/api/http';
export default {
    namespaced: true,
    state: {/* 管理柜台状态 */
        popId: '',
        tipsOperate: '', // 提示
        id: '',
        showPop: false,// 弹框
        popText:'',
        fullScreen:false,// 银行系统是否全屏
        showGoods: false, // 物品栏的展开和关闭
        // 业务选择表: （要保存的）
        businessKey: '',
        // 业务选择表是否展示: 
        showBusiness: false,

        // 下拉框的数据:
        selectList: {
            currencySelectList: [],
            goldLogoSelectList: [],
            accountQualitySelectList: [],
            voucherTypeSelectList: [],
            accountTypeSelectList: [],
            chargeWayList: [],
            idTypeList: [] // 身份证选项
        },
        
        // （要保存的）
        businessSelect: {
            '': {
                data: [],
                needs: []
            },
            '业务一': {
                id: 489,
                data: [15, 13, 23, 14],
                needs: [16, 17],
                isStamp: {
                    '业务专用章': [14,428],
                    '附件章': [23],
                    // '收讫章': [ 17 ]
                },
                backPeople: [],
                // backPeople: [21, 13, 22, 16], // 返还资料
                cultureArr: [23, 24, 269],
                // 各种物品信息
                moneyBox: [], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 16 ], // 重要空白凭证箱
                commonArr: [ 17 ], // 普通凭证箱

                // 以下为数据流:
                needsModule: {
                    'consumerClient': false,
                    'currentAccount/openAccount': false,
                    'currentAccount/deposit': false,
                },
                // dataFlowGo: 0,
                dataFlow: {
                    peopleNumber,
                    userName,//用户名字
                    idType: '身份证',
                    idNumber,//证件号码
                    sex,//性别 1为男,
                    birthday,//出生日期
                    // nationality:'汉',//民族
                    mailbox:'广东省深圳市阳光村',//通讯地址

                    voucherNumber

                }
            },
            '业务二': {
                id: 490,
                data: [16, 13, 23, 426],
                needs: [427, 425, 15],
                isStamp: {
                    '付讫章': [425, 427],
                    '转讫章': [426],
                    '附件章': [23]
                },
                backPeople: [],
                // backPeople: [23, 418, 421, 424, 15],
                cultureArr: [13, 420, 419, 424], // 入库
                // 各种物品信息
                moneyBox: [15], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [ 425, 427 ], // 普通凭证箱

                // 以下为数据流:
                needsModule: {
                    'consumerClient': false,
                    'currentAccount/withdrawal': false,
                    'currentAccount/transferAccounts': false,
                    'currentAccount/settle': false,
                    'currentAccount/Cancell': false
                },
                // dataFlowGo: 0,
                dataFlow: {
                    peopleNumber,
                    userName,//用户名字
                    idType: 83,
                    idNumber,//证件号码
                    sex,//性别
                    birthday,//出生日期
                    // nationality:'汉',//民族
                    mailbox:'广东省深圳市阳光村',//通讯地址
                    phone:'13222223122',//联系电话

                    // cardNumber: '', // 卡号
                    voucherNumber,
                    currency:12,
                    goldLogo:13,
                    serviceCharge:'0.00',
                    drawWay:18,
                    interest: '0.1',
                    balance: 666,
                    totalMoney: 9999999999,
                }
            },
            '业务三': {
                id: 491,
                data: [15, 13, 23, 14], // 现金、身份证原件、复印件、开户申请书
                needs: [428],
                isStamp: {
                    '业务专用章': [14]
                },
                backPeople: [],
                // backPeople: [21, 13 ],
                cultureArr: [24, 23], // 入库
                // 各种物品信息
                moneyBox: [], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 428 ], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                
                // 以下为数据流:
                needsModule: {
                    'timeDeposit/openAccount': false,
                    'timeDeposit/deposit': false
                },
                dataFlow: {
                    idNumber,
                    userName,
                    currency:12,
                    goldLogo:13,
                    peopleNumber,
                    voucherNumber
                }
            },
            '业务四': {
                id: 492,
                data: [13, 23, 430], // 身份证原件、复印件、 430
                needs: [429, 425, 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
                isStamp: {
                    '业务专用章': [429],
                    '付讫章': [ 425, 427 ],
                    '收讫章': [ 17 ],
                    '销户章': [ 430 ],
                    '附件章': [ 23 ],
                    // 取款凭条（付讫章）、利息清单（付讫章）、存款凭条（收讫章）、430（销户章）、新定期存单（业务专用章）、身份证复印件（附件章）
                },
                backPeople: [],
                // backPeople: [ 13, 429, 15, 421, 22, 424 ], // 
                cultureArr: [ 23, 430, 420, 269, 422 ], // 
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 429 ], // 重要空白凭证箱
                commonArr: [ 425, 17, 427 ], // 普通凭证箱

                // 以下为数据流:
                needsModule: {
                    'timeDeposit/withdrawal': false
                },
                dataFlow: {
                    // 客户姓名、币种、钞汇标识、定存编号（0912）、本金（开户时存的业务中的金额）、支取类别（现金）、支取方式（密码）
                    voucherNumber,
                    userName,
                    currency:12,
                    goldLogo:13,
                    interest: '0.00',
                    depositNumber: '0912',
                    capital, // 不知道是多少
                    withdrawType: 124, // 支取类别
                    withdrawWay: 125, // 支取方式
                    
                }
            },
            '业务五': {
                id: 493,
                data: [13, 23, 430], // 身份证原件、复印件、 430
                needs: [429, 425, 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
                isStamp: { 
                    '付讫章': [ 425, 427 ],
                    '销户章': [ 430 ],
                    '附件章': [ 23 ],
                },
                backPeople: [],
                // backPeople: [ 13, 429, 15, 421, 22, 424 ], // 
                cultureArr: [ 23, 430, 420, 269, 422 ], // 
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                 // 以下为数据流:
                 needsModule: {
                    'timeDeposit/withdrawal': false
                },
                dataFlow: {
                    // 客户姓名、币种、钞汇标识、定存编号（0912）、本金（开户时存的业务中的金额）、支取类别（现金）、支取方式（密码）
                    userName,
                    voucherNumber,
                    currency:12,
                    goldLogo:13,
                    interest: '5.75',
                    depositNumber: '0912',
                    capital, // 不知道是多少
                    withdrawType: 124, // 支取类别
                    withdrawWay: 126, // 支取方式

                }
            },
            '业务六': {
                id: 494,
                data: [13, 23, 14, 15], // 身份证原件、复印件、 开户申请书、 现金
                needs: [ 16, 17 ], // 银行卡 存款凭条
                isStamp: { // 还没加逻辑
                    '附件章': [ 23 ],
                    '业务专用章': [14],
                    '收讫章': [ 17 ],
                },
                backPeople: [],
                // backPeople: [ 16, 22, 13, 21 ], 
                cultureArr: [ 23, 24, 269 ], 
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
                
                // 以下为数据流:
                needsModule: {
                    'usefulPhrases/openAccount': false
                },
                dataFlow: {
                    // 身份证号码、客户号、客户姓名、币种（人民币）、钞汇标识（钞户）
                    currency:12,
                    goldLogo:13,
                    userName,
                    peopleNumber,
                    idNumber,
                    voucherNumber
                }
            },
            '业务七': {
                id: 495,
                data: [  16, 15 ], // 银行卡、 现金
                needs: [ 17 ], // 存款凭条
                isStamp: { 
                    '收讫章': [ 17 ],
                },
                backPeople: [],
                // backPeople: [ 16, 22 ], 
                cultureArr: [ 269 ], 
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                
                // 以下为数据流:
                needsModule: {
                    'usefulPhrases/continueDeposit': false
                },
                dataFlow: {
                    // 客户姓名、定存编号（0816）、币种、钞汇标识、存期（显示上一业务选中的存期）、月存金额
                    userName,
                    depositNumber: '0816',
                    currency:12,
                    goldLogo:13,
                    depositTerm: 86,
                    monthDeposit: 100,
                    voucherNumber
                }
            },
            '业务八': {
                id: 496,
                data: [  13, 23, 16 ], // 身份证原件 复印件 银行卡
                needs: [ 425, 427 ], // 存款凭条 利息清单
                isStamp: { 
                    '付讫章': [ 425, 427 ],
                    '附件章': [ 23 ],
                },
                backPeople: [],
                // backPeople: [ 13, 16, 421, 424, 15 ], 
                cultureArr: [ 23, 420, 422 ],
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                // 以下为数据流:
                needsModule: {
                    'usefulPhrases/accoumtClosed': false
                },
                dataFlow: {
                    idNumber,
                    userName,
                    depositNumber: '0816',
                    currency:12,
                    goldLogo:13,
                    capital: 100,
                    interestRate: 1.85,
                    depositTerm: 86,
                    interest: 1.6,
                    totalMoney: 101.6,
                    signDate: '2001-03-01',
                    voucherNumber
                }
            },
            '业务九': {
                id: 498,
                data: [ 15, 13, 23, 14 ], // 现金、身份证原件、复印件、开户申请书
                needs: [ 428, 17 ], // 定期存单 存款凭条
                isStamp: { 
                    '附件章': [ 23 ],
                    '业务专用章': [14, 428 ],
                    '收讫章': [ 17 ]
                },
                backPeople: [],
                // backPeople: [ 21, 13, 428, 269 ], // 少了开户申请书回单、身份证、定期存单、存款凭条凭证联 (判分可减)
                cultureArr: [ 23, 24, 269 ], // 少了身份证复印件、开户申请书凭证联、存款凭条凭证联
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                // 以下为数据流:
                needsModule: {
                    'callDeposits/openAccount': false
                },
                dataFlow: {
                    // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
                    idNumber,
                    peopleNumber,
                    userName,
                    currency:12,
                    goldLogo:13,
                    voucherNumber,
                    depositType: 92,
                    // depositNumber: '0816',
                    
                    // capital: 100,
                    // interestRate: 1.85,
                    // depositTerm: '1年',
                    // interest: 1.6,
                    // totalMoney: 101.6,
                    // signDate: '2001-03-01',
                    // voucherNumber
                }
            },
            '业务十': {
                id: 499,
                data: [ 13, 23, 428 ], // 身份证原件、复印件、定期存单
                needs: [ 425, 427, 15 ], // 多了取款凭条、利息清单 现金
                isStamp: { 
                    '付讫章': [ 425, 427 ],
                    '附件章': [ 23 ],
                    '销户章': [ 430 ],
                },
                backPeople: [],
                // backPeople: [ 13, 421, 424, 15 ], // 少了身份证原件、421、424、现金 
                cultureArr: [ 23, 420, 420, 428 ], // 少了复印件、420、422、定期存单
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'callDeposits/accountClosed': false
                },
                dataFlow: {
                    // 凭证类型（存单）、客户号（根据案例展示）、客户姓名、币种（CNY人民币）、钞汇标识（钞户）、通知类型（根据案例展示）、定存编号（根据开户时的定存编号展示）、本金（开户时存的金额）、利息（2.8）、、总金额（利息+本金）、支取类别（现金）、支取金额（等于总金额）证件类型（身份证）
                    // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
                    voucherType: 123,
                    noticeType: 95,
                    depositNumber: '0816',
                    capital: 100,
                    interest: 2.8,
                    totalMoney: 102.8,
                    payType: 13,
                    payMoney: 102.8,
                    idNumber,
                    peopleNumber,
                    userName,
                    currency:12,
                    goldLogo:13,
                    voucherNumber
                    // depositNumber: '0816',
                    
                    // capital: 100,
                    // interestRate: 1.85,
                    // depositTerm: '1年',
                    // interest: 1.6,
                    // totalMoney: 101.6,
                    // signDate: '2001-03-01',
                    // voucherNumber
                }
            },
            '业务十一': {
                id: 500,
                data: [ 442, 431, 432, 434, 435, 436, 437 ], 
                needs: [ 438, 439 ], // 多了普通空白凭证， 预留印鉴卡
                isStamp: { 
                    '业务专用章': [ 432, 438 ],
                    '附件章': [ 435, 437, 431  ],
                    '私章': [ 439 ]
                },
                backPeople: [],
                // backPeople: [ 442, 434, 436, 439, 433 ], // 少了法人身份证原件、统一社会信用代码证、开户许可证、预留印鉴卡一、开立银行结算账户申请书凭证联回单
                cultureArr: [ 431, 432, 435, 437, 438, 439 ], // 少了法人身份证复印件、开立银行结算账户申请书凭证联、统一社会信用代码证复印件、开户许可证复印件、普通空白凭证、预留印鉴卡二、三
            
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'corporateClient': false,
                    'business/openAccount': false
                },
                dataFlow: {
                    idNumber,
                    userName,
                    peopleNumber,
                    'corporateClient': false
                },
                // dataFlow: {
                //     // 凭证类型（存单）、客户号（根据案例展示）、客户姓名、币种（CNY人民币）、钞汇标识（钞户）、通知类型（根据案例展示）、定存编号（根据开户时的定存编号展示）、本金（开户时存的金额）、利息（2.8）、、总金额（利息+本金）、支取类别（现金）、支取金额（等于总金额）证件类型（身份证）
                //     // 身份证号码、客户号（根据案例展示）、客户姓名、币种（人民币）、钞汇标识（钞户）
                //
                //     // depositNumber: '0816',
                //
                //     // capital: 100,
                //     // interestRate: 1.85,
                //     // depositTerm: '1年',
                //     // interest: 1.6,
                //     // totalMoney: 101.6,
                //     // signDate: '2001-03-01',
                //     // voucherNumber
                // }
            },
            '业务十二': {
                id: 501,
                data: [ 442, 431, 409, 15 ], // 15是现金
                needs: [ 438, 439 ], // 多了普通空白凭证， 预留印鉴卡
                isStamp: {
                    '收讫章': [ 409 ],
                    '附件章': [ 431 ],
                },
                backPeople: [],
                // backPeople: [ 442, 441 ],
                cultureArr: [ 431, 487 ],
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'business/deposit': false
                },
                dataFlow: {
                    idNumber,
                    userName,
                    peopleNumber
                }
            },
            '业务十三': {  // 公司现金支票取款
                id: 502,
                data: [ 442, 411 ],
                needs: [ 425, 15 ],
                isStamp: {
                    '付讫章': [ 425 ],
                    '私章业务专用章': [ 411 ]
                },
                backPeople: [],
                // backPeople: [ 442, 472, 421, 15 ],
                cultureArr: [ 473, 420 ],
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'business/withdrawal': false,
                    
                },
                dataFlow: {
                    // idNumber,
                    // userName,
                    // peopleNumber,
                    // currency:12,
                    // goldLogo:13,
                }
            },
            '业务十四': {  // 公司现金支票转账
                id: 503,
                data: [ 442, 412 ],
                needs: [ 426 ],
                isStamp: {
                    '私章转讫章': [ 412 ],
                    '业务专用章': [ 426]
                },
                backPeople: [],
                // backPeople: [ 442, 474, 418 ],
                cultureArr: [ 476, 419 ],
                moneyBox: [ 15 ], // 钱箱
                needBackMoney: true, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'business/transfer': false
                },
                dataFlow: {
                    idNumber,
                    voucherNumber
                }
            },
            '业务十五': {  // 密码修改
                id: 504,
                data: [ 13, 23, 16, 407  ], // 身份证原件、复印件、银行卡、特殊业务申请书
                needs: [ ],
                isStamp: {
                    '附件章': [ 13 ],
                    '业务专用章': [ 407]
                },
                backPeople: [],
                // backPeople: [ 13, 16, 477 ], // 少了身份证原件、银行卡、特殊业务申请书回单
                cultureArr: [ 23, 478 ], // 少了复印件、特殊业务申请书凭证联
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'servicesAccount/passwordChange': false
                },
                dataFlow: {
                    idNumber,
                    voucherNumber,
                    userName
                }
            },
            '业务十六': {  // 密码挂失
                id: 505,
                data: [ 13, 23, 16, 406  ], // 身份证原件、复印件、银行卡、密码挂失申请书
                needs: [ ],
                isStamp: {
                    '附件章': [ 13 ],
                    '业务专用章': [ 406]
                },
                backPeople: [],
                // backPeople: [ 13, 16, 468 ], // 少了身份证原件、银行卡、特殊业务申请书回单
                cultureArr: [ 23, 466, 467 ], // 少了复印件、密码挂失申请书凭证联、密码挂失申请书银行留存联
                moneyBox: [], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
                needsModule: {
                    'servicesAccount/passwordLost': false
                },
                dataFlow: {
                    voucherNumber,
                    userName,
                    idNumber
                }
            },
            '业务十七': {  // 挂失解挂
                id: 506,
                data: [ 13, 23, 16, 468, 467 ], // 身份证原件、复印件、银行卡、密码挂失申请书回单、密码挂失申请书银行留存联
                needs: [ ],
                isStamp: {
                    '附件章': [ 13, 468 ],
                    '业务专用章': [ 467 ]
                },
                backPeople: [],
                // backPeople: [ 13, 16, 468 ], // 
                cultureArr: [ 23, 467 ], // 
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱,

                needsModule: {
                    // 这个业务没出
                    'servicesAccount/relieveLost': false
                },
                dataFlow: {
                    voucherNumber,
                    idNumber,
                    userName
                }
                
            },
            
            // '业务十八': {  // 现金领用
            //     id: 508,
            //     data: [ 13, 23, 15, 413 ], // 身份证原件、复印件、现金、支票领购单
            //     needs: [ 411, 479 ],
            //     isStamp: {
            //         '附件章': [ 23 ],
            //         '业务专用章': [ 413, 479 ]
            //     },
            // backPeople: [],    
            // backPeople: [ 13, 480, 411, 481 ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
            //     cultureArr: [ 23, 488, 488 ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

            //     moneyBox: [ ], // 钱箱
            //     needBackMoney: false, // 需要钱箱取钱
            //     peopleSign: [ ], // 客户签字
            //     cultureIn: [], // 传票栏
            //     sealBox: [], // 印章盒
            //     currencyDetector: [], // 验钞机
            //     printer: [], // 打印机
            //     resource: [], // 资料

            //     importanceArr: [], // 重要空白凭证箱
            //     commonArr: [], // 普通凭证箱

            //     needsModule: {
            //         'controlCash/cashRecipients': false
                    
            //     },
            // },
            '业务十八': {  // 现金领用
                id: 508,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],
                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
                needsModule: {
                    'controlCash/cashRecipients': false
                },
            },
            '业务十九': { // 现金上缴
                id: 509,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash/cashTransferInto': false

                },
            },
            '业务二十': {  // 现金调入
                id: 548,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash/cashPaid': false
                },
            },
            '业务二十一': { // 现金调出
                id: 549,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash/cashOut': false
                },
            },
            '业务二十二': { // 凭证领用
                id: 510,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash2/cashRecipients' : false
                },
            },
            '业务二十三': { // 凭证上缴
                id: 514,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
                needsModule: {
                    'controlCash2/cashTransferInto' : false
                },
            },
            '业务二十四': { // 凭证调入
                id: 512,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash2/cashPaid' : false
                },
            },
            '业务二十五': { // 凭证调出
                id: 513,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
                needsModule: {
                    'controlCash2/cashOut' : false
                },
            },
            '业务二十六': { // 支票出售
                id: 507,
                data: [ 13, 23, 15, 413 ], // 身份证原件、复印件、现金、支票领购单
                needs: [ 411, 479 ],
                isStamp: {
                    '附件章': [ 23 ],
                    '业务专用章': [ 413, 479 ]
                },
                backPeople: [],
                // backPeople: [ 13, 480, 411, 481 ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
                cultureArr: [ 23, 488, 488 ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱

                needsModule: {
                    'controlCash3/index': false
                },
            },
            '业务二十七': { // 柜员日终扎帐
                id: 516,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '业务二十八': { // 网点日中扎帐
                id: 517,
                data: [ ], //
                needs: [ 438 ],
                isStamp: {
                    '业务专用章': [ 438 ]
                },
                backPeople: [],
                // backPeople: [ ],
                cultureArr: [ 438 ],

                moneyBox: [ ], // 钱箱
                needBackMoney: false, // 需要钱箱取钱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
        },
        goods:[// 物品栏的物品
            {
                name:'身份证',
                src:require('@/assets/img/goods/idcard.png'),
                id:'a'
            },
            {
                name:'身份证复印件',
                src:require('@/assets/img/idCard-copy-sm.png'),
                id:'b'
            },
            {
                name:'开户申请书',
                src:require('@/assets/img/goods/khsqs.png'),
                id:'c'
            },
            {
                name:'现金',
                src:require('@/assets/img/goods/cash-sm.png'),
                id:'d'
            },
            // {
            //     name:'存款凭条',
            //     src:require('@/assets/img/goods/ckpt.png'),
            //     id:'e'
            // },
        ],
        goodsOpen:[// 物品栏的物品
            {name:'身份证', src:require('@/assets/img/goods/idcard.png'), id:13},
            {name:'身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:23},
            {name:'银行卡',src:require('@/assets/img/goods/bankCard.png'),id:16},
            {name:426,src:require('@/assets/img/goods/zzpt.png'),id:426},
        ],
    },
    mutations: {
        setTipsOperate(state, tipsOperate) {
            state.tipsOperate = tipsOperate
        },
        startPlay(state) {
            // 开始时调用，获取下拉框的东西。
            
            getSubjectInfo({
                subject_id:19
            }).then((data)=>{
                if(data.status == 200){
                    state.selectList.idTypeList = data.data.items;
                } 
            }).catch((error)=>{})

            for(let item=8;item<14;item++){
                let params= {
                    subject_id:item
                }
                
                if (item == '8'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.currencySelectList = data.data.items;
                        } 
                    }).catch((error)=>{})
                    
                }else if (item == '9'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.goldLogoSelectList = data.data.items;
                        } 
                    }).catch((error)=>{})
                }else if (item == '10'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.accountQualitySelectList = data.data.items;
                        } 
                    }).catch((error)=>{})
                    
                }else if (item == '11'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.voucherTypeSelectList = data.data.items;
                        } 
                    }).catch((error)=>{})
                }else if (item == '12'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.accountTypeSelectList = data.data.items;
                        }
                    }).catch((error)=>{})
                }else if (item == '13'){
                    getSubjectInfo(params).then((data)=>{
                        if(data.status == 200){
                            state.selectList.chargeWayList = data.data.items;
                        }
                    }).catch((error)=>{})
                }
            }
        },
        setPopId(state, id) {
            state.id = id
        },
        setNeedsModule(state, name) {
            state.businessSelect[state.businessKey].needsModule[name] = true
        },
        setDataFlow(state, obj) {
            for(let key in obj) {
                state.businessSelect[state.businessKey].dataFlow[key] = obj[key]
            }
        },
        initState(state) {
            state.businessSelect = { ...myInitState }
        },
        setShowBusiness(state, isShow) {
            state.showBusiness = isShow
        },
        replaceThingsGoods(state, idArr) {
            state.businessSelect[state.businessKey].data.splice(0, state.businessSelect[state.businessKey].data.length, ...idArr)
        },
        replaceThings(state, { name, idArr }) {
            state.businessSelect[state.businessKey][name].splice(0, state.businessSelect[state.businessKey][name].length, ...idArr)
        },
        pushThings(state, { name, idArr}) {
            if(name === 'sealBox') { // 印章盒只能放一个东西
                const sealBox = state.businessSelect[state.businessKey][name]
                if(sealBox.length === 1) {
                    this.commit('system/pushThingsGoods', [...sealBox])
                    state.businessSelect[state.businessKey][name].splice(0, 1, idArr[0])
                }else {
                    state.businessSelect[state.businessKey][name].push(idArr[0])
                }
            }else {
                console.log('装东西')
                console.log(state.businessSelect[state.businessKey][name])
                console.log(name)
                for(let i=0; i<idArr.length; i++) {
                    const index = state.businessSelect[state.businessKey][name].findIndex(item => item === idArr[i])
                    if(index === -1) {
                        state.businessSelect[state.businessKey][name].push(idArr[i])
                    }
                }
            }
        },
        pushThingsGoods(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                if(index === -1) {
                    state.businessSelect[state.businessKey].data.push(idArr[i])
                }
            }
        },
        outThings(state, { name, idArr}) {
            if(!(idArr instanceof Array)) {
                const index = state.businessSelect[state.businessKey][name].findIndex(item => item.id === idArr)
                state.businessSelect[state.businessKey][name].splice(index, 1)
            }else {
                for(let i=0; i<idArr.length; i++) {
                    const index = state.businessSelect[state.businessKey][name].findIndex(item => item.id === idArr[i])
                    state.businessSelect[state.businessKey][name].splice(index, 1)
                }
            }
        },
        outThings2(state, { name, index}) {
            // 神奇地解决了bug
            state.businessSelect[state.businessKey][name].splice(index, 1)
        },
        outThingsGoods(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].data.splice(index, 1)
                }
            }
        },

        backCulture(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].cultureArr.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    // const index2 = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                    state.businessSelect[state.businessKey].cultureArr.splice(index, 1) // 我需要传票的少了相应的那个
                    // state.businessSelect[state.businessKey].data.splice(index2, 1)
                }
                this.commit('system/outThingsGoods', [...idArr])
            }
        },
        backPeople(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].backPeople.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].backPeople.splice(index, 1)
                    // const index2 = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                    // state.businessSelect[state.businessKey].data.splice(index2, 1)
                }
            }
            this.commit('system/outThingsGoods', [...idArr])
        },
        payMoney(state) {
            const index = state.businessSelect[state.businessKey].data.findIndex(item => item === 15)
            if(index !== -1) {
                state.businessSelect[state.businessKey].data.splice(index, 1)
            }
        },
        stampJudge(state, sealArr) {

            // const needStamp = state.businessSelect[state.businessKey].isStamp
            const id = state.businessSelect[state.businessKey].sealBox[0]
            let judgeDelete = true // 盖完章是否变化
            let stampSuccess = '' // 盖章成功
            if(sealArr.length === 1) {
                const seal = sealArr[0]
                if(seal === '业务专用章') {
                    if(id === 14) {
                        state.businessSelect[state.businessKey].data.push(24, 21)
                        judgeDelete = false
                        stampSuccess = '18'
                    }else if(id === 429) {
                        stampSuccess = '449'
                    }else if(id === 428) {
                        stampSuccess = '428'
                    }else if(id === 432) {
                        state.businessSelect[state.businessKey].data.push(432, 433)
                        judgeDelete = false
                        stampSuccess = '452'
                    }else if (id === 438) {
                        stampSuccess = '465'
                    }else if(id === 426) {
                        state.businessSelect[state.businessKey].data.push(419, 418)
                        judgeDelete = false
                        stampSuccess = '458'
                    }else if(id === 407) {
                        state.businessSelect[state.businessKey].data.push(478, 477)
                        judgeDelete = false
                        stampSuccess = '459'
                    }else if(id === 406) {
                        state.businessSelect[state.businessKey].data.push(466, 468, 467)
                        judgeDelete = false
                        stampSuccess = '460'
                    }else if(id === 467) {
                        stampSuccess = '461'
                    }else if(id === 413) {
                        state.businessSelect[state.businessKey].data.push(488, 480)
                        judgeDelete = false
                        stampSuccess = '463'
                    }else if(id === 479) {
                        state.businessSelect[state.businessKey].data.push(482, 481)
                        judgeDelete = false
                        stampSuccess = '464'
                    }
                }else if(seal === '付讫章') {
                    if(id === 425) {
                        state.businessSelect[state.businessKey].data.push(420, 421)
                        judgeDelete = false
                        stampSuccess = '444'
                    }
                    else if(id === 427) {
                        state.businessSelect[state.businessKey].data.push(422, 424)
                        judgeDelete = false
                        stampSuccess = '445'
                    }
                }else if(seal === '转讫章') {
                    if(id === 426) {
                        state.businessSelect[state.businessKey].data.push(419, 418)
                        judgeDelete = false
                        stampSuccess = '446'
                    }
                }else if(seal === '附件章') {
                    if(id === 23) {
                        stampSuccess = '20'
                    }else if(id === 435) {
                        stampSuccess = '435'
                    }else if(id === 437) {
                        stampSuccess = '436'
                    }else if(id === 431) {
                        stampSuccess = '484'
                    }else if(id === 468) {
                        stampSuccess = '462'
                    }
                }else if(seal === '收讫章') {
                    if(id === 17) {
                        state.businessSelect[state.businessKey].data.push(269, 22)
                        judgeDelete = false
                        stampSuccess = '447'
                    }else if(id === 409) {
                        state.businessSelect[state.businessKey].data.push(487, 441)
                        judgeDelete = false
                        stampSuccess = '455'
                    }
                }else if(seal === '销户章') {
                    if(id === 430) {
                        stampSuccess = '448'
                    }
                }else if(seal === '私章') {
                    if(id === 439) {
                        stampSuccess = '454'
                    }
                }
            }else if(sealArr.length === 2) {
                // sealArray 按顺序命名
                const index1 = sealArray.findIndex(item => item === sealArr[0])
                const index2 = sealArray.findIndex(item => item === sealArr[1])
                let seal = ''
                if(index1<index2) {
                    seal = sealArr[0] + sealArr[1]
                }else {
                    seal = sealArr[1] + sealArr[0]
                }
                if(seal === '私章业务专用章') {
                    if(id === 411) {
                        state.businessSelect[state.businessKey].data.push(473, 472)
                        judgeDelete = false
                        stampSuccess = '456'
                    }
                }else if(seal === '私章转讫章') {
                    if(id === 412) {
                        state.businessSelect[state.businessKey].data.push(476, 474)
                        judgeDelete = false
                        stampSuccess = '457'
                    }
                }
            }
            if(stampSuccess) {
                console.log('---stampSuccess')
                console.log(stampSuccess)
                let projectId = sessionStorage.getItem('projectId')
                let startTime = sessionStorage.getItem('startTime')
                if(!sessionStorage.getItem('stampList')) {
                    sessionStorage.setItem('stampList', JSON.stringify([]))
                }
                const formList = JSON.parse(sessionStorage.getItem('stampList'))
                const findIt = formList.findIndex(item => item.answerId === stampSuccess)
                if(findIt === -1) {
                    formList.push({"answerId":stampSuccess, "emptyOne": "", "emptyTwo": "", "operationIds": "285," + state.businessSelect[state.businessKey].id + ",287,8,"+stampSuccess,"type": ""})
                    sessionStorage.setItem('stampList', JSON.stringify(formList))
                }
                // let formList = [ {"answerId":stampSuccess, "emptyOne": "", "emptyTwo": "", "operationIds": "285," + state.businessSelect[state.businessKey].id + ",287,8,"+stampSuccess,"type": ""} ]
                let params= {
                    parentId:'285,' + state.businessSelect[state.businessKey].id + ',287,8',
                    lcJudgmentRuleReq:formList,
                    projectId:+projectId,
                    startTime:startTime,
                }
                addOperation(params).then((data)=>{
                    if(judgeDelete) {
                        this.commit('system/pushThingsGoods', [...state.businessSelect[state.businessKey].sealBox])
                    }
                    // 盖章会消失的删掉
                    state.businessSelect[state.businessKey].sealBox.splice(0, 1)
                    this.commit('system/setTipsOperate', '盖章成功!')
                }).catch((error)=>{
                })
            }else {
                
                this.commit('system/pushThingsGoods', [...state.businessSelect[state.businessKey].sealBox])
                state.businessSelect[state.businessKey].sealBox.splice(0, 1)
                this.commit('system/setTipsOperate', '盖章成功!')
            }
            // Message.success({
            //     center: true,
            //     message: '盖章成功'
            // })
        },
        setBusinessKey: (state, val) => {
            // 这个是容错的 后面可以删掉
            if(!state.businessSelect[val]) {
                state.businessKey = '业务一'
                return
            }
            state.businessKey = val
        },
        
        setBusinessSelect(state, val) {
            state.businessSelect = val
        },
        addGoods: (state, goods) => {
            if(!(goods instanceof Array)) {
                goods = [ goods ]
            }
            const needArr = [...state.businessSelect[state.businessKey].needs]
            for(let i=0; i<goods.length; i++) {
                // for(let j=0; j<needArr.length; j++) {
                //     // if(goods[i] === needArr[j]) {
                //     //     console.log(goods[i] + '- -' + needArr[j])
                //     //     // 如果这个物品是这个业务需要添加的 就加进去 否则不添加
                //     //     state.businessSelect[state.businessKey].data.push(needArr[j])
                //     //     // 加进去了 下次就添加不了了
                //     //     state.businessSelect[state.businessKey].needs.splice(j,1)
                //     //     break;
                //     // }else {
                //     //     console.log('???')
                //     // }
                // }
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === goods[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].data.push(needArr[j])
                }
            }
        },
        deleteGoods: (state, index) => {
            // 传个物品对象过来
            state.businessSelect[state.businessKey].data.splice(index, 1)
        },
        changeFullscreen:(state,val) => {
            state.fullScreen = val
        },
        // 更改弹窗
        changePop:(state,val)=>{
            state.showPop = val.show
            state.popText = val.text? val.text: ''
            state.id = val.id? val.id: state.id
            if(!state.popText.includes('密码') && state.showPop && state.popText) {
                console.log(state.popText)
                state.showGoods = true;
            }else {
                state.showGoods = false;
            }
        },
        changeGoods:(state,obj)=>{/* 赋值/push/删除 */
            if(obj.goods&&obj.goods.length>0){
                state.goods = obj.goods
            }else if(obj.push&&obj.push.length>0){
                for(let j=0; j<obj.push.length; j++) {
                    let judge = true
                    for(let i=0; i<state.goods.length; i++) {
                        if(obj.push[j].name === state.goods[i].name) {
                            judge = false
                            break;
                        }
                    }
                    if(judge) {
                        state.goods.push(obj.push[j])
                    }
                }
            }else if(typeof(obj.splice)===Number ){
                state.goods.splice(obj.splice,1)
            }
        },
        // 物品栏的展开和关闭
        changeShowGoods(state, judge) {
            state.showGoods = judge
        },
        addGoodsOpen(state, arr) {
            // 传来要做的事和数组
            state.goodsOpen.push(...arr)
        },
        removeGoodsOpen(state, obj) {
            // 传来要做的事和数组
            state.goodsOpen.map((item, index) => {
                if(item.name === obj.name) {
                    state.goodsOpen.splice(index, 1)
                }
            })
        },
        setGoodsOpen(state, arr) {
            state.goodsOpen = arr
        }
    },
    actions: {
        
    },
    getters: {
        getSelectList(state) {
            return state.selectList
            // currencySelectList: [],
            // goldLogoSelectList: [],
            // accountQualitySelectList: [],
            // accountQualitySelectList: [],
            // voucherTypeSelectList: [],
            // accountTypeSelectList: [],
            // accountTypeSelectList: []
        },
        popId(state) {
            return state.popId
        },
        businessId(state) {
            return state.businessSelect[state.businessKey].id + ','
        },
        // 刷卡器卡号
        idCardNumber(state) {
            return '213224896'
        },
        // 获得流到哪个模块的名字
        needsModule(state) {
            return (module) => {
                const obj = state.businessSelect[state.businessKey].needsModule
                for(let key in obj) {
                    if(module === key) {
                        return ''
                    }
                    if(!obj[key]) {
                        return key
                    }
                }
            }
        },
        // 选择业务物品栏中的物品 根据myKey判断有什么
        dataFlow(state) {
            return state.businessSelect[state.businessKey].dataFlow
        },
        goods2(state) {
            // 调试容错采用if-else
            const arr = []
            for(const item of state.businessSelect[state.businessKey].data) {
                arr.push(allGoods[item])
            }
            return arr
        },


        goodState(state) {
            const arr = []
            if(state.popText === '钱箱') {
                for(let item of state.businessSelect[state.businessKey].moneyBox) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText === '客户签字'){
                for(let item of state.businessSelect[state.businessKey].peopleSign) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText === '返还资料'){
                for(let item of state.businessSelect[state.businessKey].backPeople) {
                    arr.push(allGoods[item])
                }
            }
            else if(state.popText == '传票栏') {
                for(let item of state.businessSelect[state.businessKey].cultureIn) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '印章盒') {
                for(let item of state.businessSelect[state.businessKey].sealBox) {
                    arr.push(allGoods[item])
                }
            }
            else if(state.popText == '验钞机') {
                for(let item of state.businessSelect[state.businessKey].currencyDetector) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '打印机') {
                for(let item of state.businessSelect[state.businessKey].printer) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '资料') {
                for(let item of state.businessSelect[state.businessKey].resource) {
                    arr.push(allGoods[item])
                }
            }else {
                // return
            }
            return arr
        },
        // needBackMoney: false, // 需要钱箱取钱
        needBackMoney(state) {
            return state.businessSelect[state.businessKey].needBackMoney
        },
        inMyWork(state) {
            return (moduleName) => {
                for(let key in state.businessSelect[state.businessKey].needsModule) {
                    if(moduleName === key) {
                        return true
                    }
                }
                return false
            }
        },
    }
}