const veridc = /(^\d{15}&)|(^\d{18})|(^\d{17}(\d|X|x)$)/                
const veren = /(^[a-zA-Z]+$)/                                           
const vernum =  /^[0-9]*$/                                              
const verdou = /^[0-9]+(.[0-9]{1,3})?$/                                 
const vermail = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/  

const mobPattern = /^1[3456789][0-9]{9}$/
const namePattern = /(^[A-Z][a-z]*(\s[A-Z][a-z]*)*$)|(^[\u4e00-\u9fa5]{2,4}$)/
const ratePattern = /^(\d|[1-9]\d|100)(.\d{1,3})?%$|^(\d|[1-9]\d|100)(.\d{1,3})?$/
const vercustomer = [
    { 
        required: true, 
        message: '请输入客户姓名',
        trigger: 'blur'
    }
    // {
    //     pattern: namePattern,
    //     message: '客户姓名格式有误'
    // }
]

const vermob =  [
    {
        pattern: /^1[3456789][0-9]{9}$/,
        message: '手机号格式有误'
    }, {
        message: '请输入12位以下数字',
        max: 11
    }
]                                              
const vername = [
    {
        // pattern: /^[\u4e00-\u9fa5]{2,4}$/,
        // pattern: /^(?:[\u4e00-\u9fa5]+)(?:●[\u4e00-\u9fa5]+)*$|^[a-zA-Z0-9]+\s?[\.·\-()a-zA-Z]*[a-zA-Z]+$/,
        pattern: /(^[A-Z][a-z]*(\s[A-Z][a-z]*)*$)|(^[\u4e00-\u9fa5]{2,4}$)/,
        message: '该名字格式有误'
    }
] 
const verrate = [
    {
        // 带%的形式
        // /^(\d|[1-9]\d|100)(.\d{1,3})?%$/

        // 不带%的形式
        // /^(\d|[1-9]\d|100)(.\d{1,3})?$/
        pattern: /^(\d|[1-9]\d|100)(.\d{1,3})?%$|^(\d|[1-9]\d|100)(.\d{1,3})?$/,
        message: '请输入正确的年利率'
    },{ 
        required: true, 
        message: '请输入年利率',
        trigger: blur
    }
] 
const requiremoney = [
    { 
        required: true, 
        message: '请输入年利率' 
    }
]                

 export  {
    veridc,
    veren,
    vernum,
    verdou,
    vermail,
    vermob,
    vername,
    verrate,
    mobPattern,
    namePattern,
    ratePattern,
    vercustomer
 }
