// 引入封装好的axios
// ps:如果没有封装，正常引入axios即可
import {get, post,deletes,put} from './api.js'
// import axios from "./";
//  /api为配置跨域的路径变量
export const getProjectBySystemId= (params) => {
    return get( '/occupationlab/projectManage/getProjectBySystemId',params)
}
export const getProjectDetail= (params) => {
    return get( '/occupationlab/projectManage/getProjectDetail',params)
}
export const submit= (params) => {
    return post( '/bank/bank/submit',params)
}
export const getSubjectInfo= (params) => {
    return get( '/judgment/lcSubject/getSubjectInfo',params)
}
export const getQueryCache= () => {
    return get( '/bank/bank/queryCache')
}
export const addOperation= (params) => {
    return post( '/bank/bank/addOperation',params)
}
export const getOperation= (params) => {
    return get( '/bank/bank/getOperation',params)
}
export const deleteCache= () => {
    return get( '/bank/bank/deleteCache')
}
// 学生查看考核状态
export const checkTest= (params) => {
    return get( '/occupationlab/assessment/getDetailById', {...params})
}
export const checkTest2= (params) => {
    return post( '/occupationlab/assessment/pageStuAssessment',{
        pageNum: 1,
        pageSize: 10000,
        ...params
    })
}