const headerCellStyle = {
    'background-color': 'rgb(235, 239, 255)',
    'color': 'black',
    'font-weight': '700'
}

const tableRowClassName = function({row, rowIndex}) {
    if (rowIndex % 2 === 1) {
        return 'warning-row';
    } else if (rowIndex % 2 === 0) {
        return 'success-row';
    }
    return '';
}

const cellStyle = {
    padding: 0,
    fontSize: '18px'
}

const myFlex = {
    padding: 0,
    fontSize: '24px!important'
}


export {
    headerCellStyle,
    tableRowClassName,
    cellStyle
}