/**
 * 插件
 * */

import directiveAuth from '@/plugins/auth';
import throttle from '@/plugins/throttle';
import drag from '@/plugins/drag';

export default {
    async install (Vue, options) {
        // 指令
        Vue.directive('auth', directiveAuth);
        Vue.directive('throttle', throttle);
        Vue.directive('drag', drag);
    }
}