import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'lobbyManager-';

export default {
    path: '/lobbyManager',
    name: 'lobbyManager',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/lobbyManager/list'),
            meta: { title: '大堂经理' }
        },
    ]
};
